curl --request POST \
--url https://api-sandbox.synctera.com/v0/licenses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"license_number": 10321,
"license_type": "MRB",
"tenant": "abcdef_ghijkl"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/licenses"
payload = {
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"license_number": 10321,
"license_type": "MRB",
"tenant": "abcdef_ghijkl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
customer_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
license_number: 10321,
license_type: 'MRB',
tenant: 'abcdef_ghijkl'
})
};
fetch('https://api-sandbox.synctera.com/v0/licenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7df5c505-b47c-490d-855f-c1b3cd99327f",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"license_number": 10321,
"license_type": "MRB",
"status": "ACCEPTED",
"tenant": "abcdef_ghijkl",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_verified_time": "2023-05-06T12:23:34.321Z",
"license_classification": "RECREATIONAL_CANNABIS",
"license_expiration_date": "2023-01-01",
"license_issuance_date": "2023-01-01",
"license_type_description": "Limited Marijuana Cultivation Facility",
"licensee_address": "1064 elm street, New York",
"licensee_name": "Apex Corp",
"licensing_authority": "Alcohol & Marijuana Control Office"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Create a license and associate it with a business
License represents a business permit that will be verified
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
license to be created
Unique ID for the business. Exactly one of business_id or person_id must be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The entity's license number
110321
The type of the license being created. For example, the license being created could be for MRB (Marijuana related business)
MRB "MRB"
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Response
Created license representation.
The date and time the license resource was created.
"2010-05-06T12:23:34.321Z"
License record unique id
"7df5c505-b47c-490d-855f-c1b3cd99327f"
The date and time the license resource was last updated.
"2010-05-06T12:23:34.321Z"
The entity's license number
110321
The type of the license being created. For example, the license being created could be for MRB (Marijuana related business)
MRB "MRB"
The status of the license
ACCEPTED, REJECTED, REVIEW, UNVERIFIED "ACCEPTED"
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Unique ID for the business. Exactly one of business_id or person_id must be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Timestamp of the last time the license was verified
"2023-05-06T12:23:34.321Z"
The classification of the license
MEDICAL_AND_RECREATIONAL_CANNABIS, MEDICAL_CANNABIS, RECREATIONAL_CANNABIS "RECREATIONAL_CANNABIS"
The date on which the license will expire
"2023-01-01"
The date on which the license was issued
"2023-01-01"
Free-form text describing the type of the license
"Limited Marijuana Cultivation Facility"
The address of the entity that holds the license as reported by the verifying vendor
"1064 elm street, New York"
The name of the entity that holds the license that's reported by the verifying vendor
"Apex Corp"
The name of the licensing body that granted the license
"Alcohol & Marijuana Control Office"
Was this page helpful?

